Bug 1567705 - [abrt] __i915_gem_free_objects: list_del corruption, fc7aaf86->next is LIST_POISON1 (14b5e0fa) [i915]
Summary: [abrt] __i915_gem_free_objects: list_del corruption, fc7aaf86->next is LIST_P...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:378bba95c7da1177985afb8d7f6...
Depends On:
Blocks: x86Tracker
TreeView+ depends on / blocked
 
Reported: 2018-04-16 03:06 UTC by felugui
Modified: 2018-11-30 22:07 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:07:07 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (65.64 KB, text/plain)
2018-04-16 03:06 UTC, felugui
no flags Details

Description felugui 2018-04-16 03:06:27 UTC
Description of problem:
se realizaron actualizaciones e instalaciones varias

Additional info:
reporter:       libreport-2.9.3
list_del corruption, fc7aaf86->next is LIST_POISON1 (14b5e0fa)
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:47!
invalid opcode: 0000 [#1] SMP
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ccm ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc arc4 snd_intel8x0 snd_ac97_codec ac97_bus snd_seq iTCO_wdt b43 snd_seq_device bcma mac80211 iTCO_vendor_support snd_pcm cfg80211 dell_laptop rfkill gpio_ich dell_smbios_smm dell_smbios dcdbas snd_timer dell_smm_hwmon ssb snd i2c_i801 joydev soundcore mmc_core
 lpc_ich i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm e100 serio_raw ata_generic yenta_socket mii pata_acpi video
CPU: 0 PID: 28362 Comm: kworker/0:0 Not tainted 4.15.15-300.fc27.i686 #1
Hardware name: Dell Inc. Inspiron 2200                   /0U6962, BIOS A07 12/01/2005
Workqueue: events __i915_gem_free_work [i915]
EIP: __list_del_entry_valid+0x40/0x80
EFLAGS: 00010246 CPU: 0
EAX: 0000003e EBX: dabdff0c ECX: f6bd5940 EDX: f6bd0d94
ESI: dabdfdc0 EDI: dabdfe58 EBP: c104fef8 ESP: c104feec
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 80050033 CR2: b4d76f40 CR3: 33a99000 CR4: 000006d0
Call Trace:
 __i915_gem_free_objects+0xd1/0x2b0 [i915]
 __i915_gem_free_work+0x54/0x80 [i915]
 process_one_work+0x162/0x380
 worker_thread+0x39/0x3c0
 kthread+0xf0/0x110
 ? process_one_work+0x380/0x380
 ? kthread_create_worker_on_cpu+0x20/0x20
 ? kthread_create_worker_on_cpu+0x20/0x20
 ret_from_fork+0x2e/0x38
Code: 00 74 30 8b 09 39 c1 75 42 8b 42 04 39 c8 75 4b b8 01 00 00 00 c9 c3 8d 74 26 00 68 00 01 00 00 50 68 a8 59 21 cf e8 7f d4 d1 ff <0f> 0b 8d b6 00 00 00 00 68 00 02 00 00 50 68 e0 59 21 cf e8 67
EIP: __list_del_entry_valid+0x40/0x80 SS:ESP: 0068:c104feec

Comment 1 felugui 2018-04-16 03:06:44 UTC
Created attachment 1422360 [details]
File: dmesg

Comment 2 Jeff Backus 2018-07-02 16:58:57 UTC
Hi,

I apologize that the issue you are seeing has gone unresolved for so long. Are you still seeing this issue? How frequently does it happen? What is the last version of the kernel / intel driver that did not have this issue for you?

Thanks!
jeff

Comment 3 Ben Cotton 2018-11-27 15:03:19 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 22:07:07 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.